//---------------------------------------------------------------------------

#include <vcl.h>
#include <kquerpnl.hpp>
#pragma hdrstop

#include "querprms.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TdlgQueryParams *dlgQueryParams;
//---------------------------------------------------------------------------
__fastcall TdlgQueryParams::TdlgQueryParams(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TdlgQueryParams::FormShow(TObject *Sender)
{
  FileNameWasEmpty = edFileName->Text == "";
}
//---------------------------------------------------------------------------

void __fastcall TdlgQueryParams::edQueryNameChange(TObject *Sender)
{
  if (FileNameWasEmpty)
    edFileName->Text = edQueryName->Text + ".qry";
}
//---------------------------------------------------------------------------
void __fastcall TdlgQueryParams::LoadSQLOptions(TKQueryPanel *QPanel)
{
  cbDistinctSelect->Checked = QPanel->SQLOptions.Contains(soSelectDistinct);
}

void __fastcall TdlgQueryParams::SaveSQLOptions(TKQueryPanel *QPanel)
{
  if (cbDistinctSelect->Checked)
    QPanel->SQLOptions = QPanel->SQLOptions << soSelectDistinct;
  else
    QPanel->SQLOptions = QPanel->SQLOptions >> soSelectDistinct;
}


