//---------------------------------------------------------------------------

#ifndef querprmsH
#define querprmsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TdlgQueryParams : public TForm
{
__published:	// IDE-managed Components
        TLabel *lblQueryName;
        TLabel *lblFileName;
        TLabel *lblDescription;
        TPanel *pnlRight;
        TButton *btOK;
        TButton *btCancel;
        TEdit *edQueryName;
        TEdit *edFileName;
        TMemo *memDescription;
        TGroupBox *gbQueryOptions;
        TCheckBox *cbDistinctSelect;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall edQueryNameChange(TObject *Sender);
private:	// User declarations
        bool FileNameWasEmpty;

public:		// User declarations
        void __fastcall LoadSQLOptions(TKQueryPanel *QPanel);
        void __fastcall SaveSQLOptions(TKQueryPanel *QPanel);

        __fastcall TdlgQueryParams(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TdlgQueryParams *dlgQueryParams;
//---------------------------------------------------------------------------
#endif
